All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.graphics.html
Class ESRIMapChart

    com.sas.servlet.tbeans.graphics.html.ESRIMapChart

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, com.sas.lang.ObjectDataInterface, ComplexStyleInterface, com.sas.servlet.tbeans.features.FeatureListInterface, RenderableInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener

    public class ESRIMapChart

implements com.sas.collection.ContentsChangedListener, java.beans.PropertyChangeListener, ComplexStyleInterface

***WARNING***

This class is an experimental class and is largely untested.

The ESRIMapChart TransformationBean is a servlet component that produces maps that support the visualization of a single response variable. The maps are drawn using a connection to an ESRI server, where regions of the map are colored based on the response value (measure). The map allows for traditional mapping exploration, such as zoom and pan.

Note. This class uses a ESRIMapTableDataModel to map relational data to server-side graphs in Java servlets or JavaServer Pages (JSP). This class uses the models in the com.sas.graphics.components package. It is also possible to directly use the image renderer class, com.sas.graphics.map.ESRIMap class.

Topics:
  Functional Overview for ESRI Map Chart
  Display Properties
  Behavior
  Servlet-based ESRIMapChart Samples

See Also:
  `ESRIMapModel`, `ESRIMapDataModel`, `ESRIMapTableDataModel`, `GraphStyle`, Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TEMPLATE_FILE_NAME`

Fields inherited from class com.sas.servlet.tbeans.graphics.BaseESRIMapChart
`graphStyle, legendSize, mode`

Constructor Summary
`ESRIMapChart()` Constructs a new MapComponent Transformation Bean

Method Summary
`void` | `contentsChanged(com.sas.collection.ContentsChangedEvent event)`
`java.lang.String` | `getFormAction()` Returns the FormAction used for this object
`java.lang.String` | `getGeoString()`
`ActionList` | `getMapActions()`
`ActionList` | `getOtherMapActions()` Returns a list of Actions that are found in the "Other" area of the map.
`byte[]` | `getPrintImage()` Returns an image suitable for printing.
`ActionList` | `getToolbarActions()` Returns a list of the Actions that are available on the toolbar.
`java.lang.String[]` | `identify(int x, int y)` This method returns an array of Strings that represent the known information about the map region found at the pixel coordinate (x,y).
`boolean` | `isMapEnabled()`
`int` | `performAction()` Do the real work for rendering a map.
`void` | `performAction(boolean internal)` Internally used to perform a map action
`void` | `printDebugInfo(ESRIMap myMap)` Prints debug information about the map, map service, OLAP config info, etc to the output log
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`
`static void` | `servletInvocationMethod(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` This method is used internally to invoke servlets for the crossing selector and the information window.
`void` | `setDataModel(ESRIMapDataModel model)` Sets the model on the viewer.
`void` | `setFormAction(java.lang.String action)` Sets the FormAction for use on this object
`void` | `setGeoString(java.lang.String geoString)`
`void` | `write(java.io.PrintWriter out)` Writes the component to the passed-in output stream.
`java.lang.String` | `writeIdentify(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.sas.servlet.tbeans.graphics.BaseESRIMapChart
`applyGraphStyle, getDataModel, getDefaultLayerVisibilities, getGraphModel, getImageLocation, getLayerVisibilities, getLegendImageMimeData, getLegendSize, getLocale, getMapExtents, getMapImageMimeData, getMapSize, getStyleMap, isAutoZoom, isDebug, isDisabledImage, isRedrawMap, isUseSession, setAutoZoom, setDebug, setDisabledImage, setGraphModel, setImageLocation, setLayerVisibilities, setLayerVisibility, setLocale, setMapExtents, setMapExtents, setRedrawMap, setSize, setStyleMap, setUseSavedMapExtents, setUseSession`

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getActionProvider, getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.ComplexStyleInterface
`getStyleMap`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Field Detail

### DEFAULT_TEMPLATE_FILE_NAME

    public static java.lang.String DEFAULT_TEMPLATE_FILE_NAME

Constructor Detail

### ESRIMapChart

    public ESRIMapChart()

  Constructs a new MapComponent Transformation Bean

Method Detail

### performAction

    public int performAction()

  Do the real work for rendering a map.

  Returns:
    1

### printDebugInfo

    public void printDebugInfo(ESRIMap myMap)

  Prints debug information about the map, map service, OLAP config info, etc to the output log

  Specified by:
    `printDebugInfo` in class `BaseESRIMapChart`
  Parameters:
    `myMap` -

### performAction

    public void performAction(boolean internal)

  Internally used to perform a map action

  Parameters:
    `internal` -

### getMapActions

    public ActionList getMapActions()

### getOtherMapActions

    public ActionList getOtherMapActions()

  Returns a list of Actions that are found in the "Other" area of the map. Currently this contains only the ChangeMeasureAction

  Returns:
    Returns a list of Actions that are found in the "Other" area of the ma

### getToolbarActions

    public ActionList getToolbarActions()

  Returns a list of the Actions that are available on the toolbar.

  Returns:
    actionList

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the component to the passed-in output stream.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseActionTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs
  See Also:
    `WriteToPrintWriterInterface.write(java.io.PrintWriter)`

### getPrintImage

    public byte[] getPrintImage()

  Returns an image suitable for printing. This image contains the map, and the legend (and legend title). The returned image is MIME data.

  Returns:
    The image

### identify

    public java.lang.String[] identify(int x,
                                       int y)

  This method returns an array of Strings that represent the known information about the map region found at the pixel coordinate (x,y). It's used internally only, but must be public because it's used by a servlet.

  Parameters:
    `x` - the x location
    `y` - the y location
  Returns:
    an array of property values

### servletInvocationMethod

    public static void servletInvocationMethod(javax.servlet.http.HttpServletRequest request,
                                               javax.servlet.http.HttpServletResponse response)
                                        throws javax.servlet.ServletException,
                                               java.io.IOException

  This method is used internally to invoke servlets for the crossing selector and the information window.

  Parameters:
    `request` -
    `response` -
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### writeIdentify

    public java.lang.String writeIdentify(javax.servlet.http.HttpServletRequest request)

### setFormAction

    public void setFormAction(java.lang.String action)

  Sets the FormAction for use on this object

  Parameters:
    `action` -

### getFormAction

    public java.lang.String getFormAction()

  Returns the FormAction used for this object

  Returns:
    Returns the FormAction used for this object

### contentsChanged

    public void contentsChanged(com.sas.collection.ContentsChangedEvent event)

  Specified by:
    `contentsChanged` in interface `com.sas.collection.ContentsChangedListener`

### setDataModel

    public void setDataModel(ESRIMapDataModel model)

  Sets the model on the viewer.

  Overrides:
    `setDataModel` in class `BaseESRIMapChart`
  Parameters:
    `model` - an instance of the ESRIMapDataModel
  See Also:
    `ESRIMapDataModel`

### isMapEnabled

    public boolean isMapEnabled()

  Returns:
    Returns the mapEnabled.

### getGeoString

    public java.lang.String getGeoString()

  Returns:
    Returns the geoString.

### setGeoString

    public void setGeoString(java.lang.String geoString)

  Parameters:
    `geoString` - The geoString to set.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.